curl --request GET \
--url https://api.example.com/v1/projects/{projectId}/edges{
"data": [
{
"id": "<string>",
"sourceNodeId": "<string>",
"targetNodeId": "<string>",
"sourceCardId": "<string>",
"targetCardId": "<string>",
"sourceHandle": "<string>",
"targetHandle": "<string>",
"edgeType": "<string>"
}
]
}Retrieve all edges (connections) in a project.
curl --request GET \
--url https://api.example.com/v1/projects/{projectId}/edges{
"data": [
{
"id": "<string>",
"sourceNodeId": "<string>",
"targetNodeId": "<string>",
"sourceCardId": "<string>",
"targetCardId": "<string>",
"sourceHandle": "<string>",
"targetHandle": "<string>",
"edgeType": "<string>"
}
]
}Show Edge object
top, bottom, left, righttop, bottom, left, rightcurl https://api.getkommit.ai/v1/projects/a1b2c3d4-e5f6-7890-abcd-ef1234567890/edges \
-H "Authorization: Bearer km_your_api_key"
Was this page helpful?